| Method | URI | Description |
|---|---|---|
| GET | /v2.0/users/{userId}/OS-RAX-KSKEY/credentials/RAX-KSKEY:apiKeyCredentials | Gets user credentials. |
Normal response codes: 200, 203
Error response codes: identityFault (400, 500, …), badRequest (400), unauthorized (401), forbidden (403), badMethod (405), overLimit (413), serviceUnavailable (503), itemNotFound (404)
This table shows the header parameters for the get user credentials request:
| Name | Type | Description |
|---|---|---|
| String (Required) | A valid authentication token for an administrative user. |
This table shows the URI parameters for the get user credentials request:
| Name | Type | Description |
|---|---|---|
| String | The user ID. |
This operation does not require a request body.
Example 6.27. Get User Credentials: XML response
<?xml version="1.0" encoding="UTF-8"?>
<apiKeyCredentials
xmlns="http://docs.rackspace.com/identity/api/ext/RAX-KSKEY/v1.0"
username="testuser"
apiKey="aaaaa-bbbbb-ccccc-12345678"/>
Example 6.28. Get User Credentials: JSON response
{
"RAX-KSKEY:apiKeyCredentials":{
"username": "test_user",
"apiKey": "aaaaa-bbbbb-ccccc-12345678"
}
}

